// Black Level
BLC_SENSOR_BLACK             25 25 25 25
BLC_SYS_BLACK                64

// Defective Pixel Fixing
DPF_DETECT_ENABLE            1
DPF_THRESHOLD                5
DPF_WEIGHT                   1

// Colour Correction (for CCT 4500)
CCM_MATRIX                   1.58208 -0.48375 -0.0983293 -0.373905 1.61943 -0.245527 0.0978741 -0.712195 1.61432
CCM_OFFSETS                  -136.476 -137.406 -141.487

// Display Gammut Mapper
DGM_CLIP_MAX                 1
DGM_CLIP_MIN                 0
DGM_COEFF                    0 0 0 0 0 0
DGM_SLOPE                    1 1 0
DGM_SRC_NORM                 1

// Primary Denoiser
DNS_COMBINE_ENABLE           1
DNS_STRENGTH                 2

// Display Scaler
DSC_ADJUST_CUTOFF_FREQ       0
DSC_BYPASS                   0
DSC_PITCH                    1 1
DSC_RECT                     0 0 0 0
DSC_RECT_TYPE                croprect

// Encoder Scaler
ESC_ADJUST_CUTOFF_FREQ       0
ESC_BYPASS                   0
ESC_CHROMA_MODE              inter
ESC_PITCH                    1 1
ESC_RECT                     0 0 0 0
ESC_RECT_TYPE                croprect

// Gamma Correction
GMA_BYPASS                   0

// Lens Shading and White Balance (for CCT 4500)
LSH_WBCLIP                   1 1 1 1
LSH_WBGAIN                   1.62629 1.00055 1 2.26378

// Main Gammut Mapper
MGM_CLIP_MAX                 1
MGM_CLIP_MIN                 0
MGM_COEFF                    0 0 0 0 0 0
MGM_SLOPE                    1 1 0
MGM_SRC_NORM                 1

// Global Output parameters
OUT_DE                       NONE
OUT_ENC                      NV12
OUT_DISP                     RGB888_32

// RGB to YCC
R2Y_BRIGHTNESS               0
R2Y_CONTRAST                 1
R2Y_HUE                      0
R2Y_MATRIX                   BT709
R2Y_RANGE_MUL                1 1 1
R2Y_SATURATION               1

// Sharpening
SHA_DENOISE_BYPASS           0
SHA_DETAIL                   0.5
SHA_EDGE_OFFSET              0
SHA_EDGE_SCALE               0
SHA_DN_SIGMA_MULTIPLIER      0.5
SHA_DN_TAU_MULTIPLIER        3
SHA_RADIUS                   2
SHA_STRENGTH                 0.5
SHA_THRESH                   0

// Tone Mapper
TNM_BYPASS                   0
TNM_COLOUR_CONFIDENCE        1
TNM_COLOUR_SATURATION        1
TNM_FLAT_FACTOR              0
TNM_FLAT_MIN                 0
TNM_IN_Y                     -64 64
TNM_OUT_Y                    16 235
TNM_WEIGHT_LINE              0
TNM_WEIGHT_LOCAL             0

// YCC to RGB
Y2R_BRIGHTNESS               0
Y2R_CONTRAST                 1
Y2R_HUE                      0
Y2R_MATRIX                   BT709
Y2R_RANGE_MUL                1.1689 1.1429 1.1429
Y2R_SATURATION               1

// Temperature Correction parameters
WB_COMBINED_AC_WEIGHT        0.25
WB_COMBINED_HLW_WEIGHT       0.75
// The white patch statistic leads to colour oscillations with volatile thresholds (see #IPCAMSW-5465)
WB_COMBINED_WP_WEIGHT        0

WB_CORRECTIONS 6

WB_CCM_0    1.27208 0.0961076 -0.368191 -0.610775 1.98 -0.391863 -0.0365643 -0.991134 1.98
WB_CCM_1    1.56391 -0.44595 -0.117962 -0.445832 1.67307 -0.227241 0.133918 -0.905671 1.77175
WB_CCM_2    1.58208 -0.48375 -0.0983293 -0.373905 1.61943 -0.245527 0.0978741 -0.712195 1.61432
WB_CCM_3    1.60115 -0.511535 -0.0896169 -0.318279 1.5811 -0.262817 0.0773416 -0.622606 1.54526
WB_CCM_4    1.6233 -0.5366 -0.0867024 -0.282575 1.55606 -0.273483 0.0661656 -0.57907 1.5129
WB_CCM_5    1.67365 -0.600871 -0.0727744 -0.247675 1.53195 -0.284272 0.0621695 -0.557428 1.49526

WB_GAINS_0    1.17569 1.00218 1 4.43671
WB_GAINS_1    1.40025 1.00103 1 2.85163
WB_GAINS_2    1.62629 1.00055 1 2.26378
WB_GAINS_3    1.87316 1.0003 1 1.9441
WB_GAINS_4    2.09024 1 1.00014 1.77382
WB_GAINS_5    2.36031 1.00036 1 1.63296

WB_OFFSETS_0    -131.438 -128.868 -126.967
WB_OFFSETS_1    -136.731 -137.533 -141.828
WB_OFFSETS_2    -136.476 -137.406 -141.487
WB_OFFSETS_3    -136.903 -137.218 -141.212
WB_OFFSETS_4    -137.114 -137.091 -141.04
WB_OFFSETS_5    -136.835 -137.078 -141.21

WB_TEMPERATURE_0    2500
WB_TEMPERATURE_1    3500
WB_TEMPERATURE_2    4500
WB_TEMPERATURE_3    5500
WB_TEMPERATURE_4    6500
WB_TEMPERATURE_5    7500

// Auto Exposure parameters
AE_TARGET_GAIN               1.0
AE_TARGET_BRIGHTNESS         0
AE_MAX_GAIN                  10.0
AE_MAX_EXPOSURE              33000
AE_FLICKER_REJECTION         0
AE_FLICKER_AUTODETECT        1
AE_FLICKER_FREQ              50
// A high value leads to overshoot and unbounded oscillations (see #IPCAMSW-5530)
AE_UPDATE_SPEED              0.2
